package com.fjhx.purchase.service.quality;

import com.fjhx.purchase.entity.quality.po.QualityDetail;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.purchase.entity.quality.vo.QualityDetailVo;
import com.fjhx.purchase.entity.quality.dto.QualityDetailSelectDto;
import com.fjhx.purchase.entity.quality.dto.QualityDetailDto;

import java.math.BigDecimal;


/**
 * <p>
 * 质检明细单 服务类
 * </p>
 *
 * @author 
 * @since 2023-04-11
 */
public interface QualityDetailService extends BaseService<QualityDetail> {

    /**
     * 质检明细单分页
     */
    Page<QualityDetailVo> getPage(QualityDetailSelectDto dto);

    /**
     * 质检明细单明细
     */
    QualityDetailVo detail(Long id);

    /**
     * 质检明细单新增
     */
    void add(QualityDetailDto qualityDetailDto);

    /**
     * 质检明细单编辑
     */
    void edit(QualityDetailDto qualityDetailDto);

    /**
     * 质检明细单删除
     */
    void delete(Long id);

    /**
     * 获取当前到货明细总质检数量
     * @param arrivalDetailId
     * @return
     */
    BigDecimal getSumQualityCount(Long arrivalDetailId);
}
